package logwire.web.bo.handler;

import logwire.web.bo.object.BizObject;

public interface ObjectOperationHandler<X extends BizObject> {
    String getOperation();

    boolean isEnabled();

    default String getQuery() {
        return "";
    }

    default int getOrder() {
        return 1000;
    }

    default boolean accept(X x, Object... args) {
        return true;
    }

    Object execute(X x, Object... args);
}
